///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 29.09.2021 Creation time: 06:10:45
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _NEWFORM_
#define _NEWFORM_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

#PRAGMA LIBRARY( "ascom10.lib" )

CLASS _NewForm FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR Static1    
      VAR Testc      
      VAR Static2    
      VAR Testx      
      VAR Static3    
      VAR Testn      
      VAR Static4    
      VAR Testd      
      VAR Testl      
      VAR PushButton1

      * Work area / alias
      VAR TEST

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )


   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {1299,618}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "8.Arial" } )
   
   IF Empty(aSize) == .T.
      IF IsMemberVar(self,"ClientSize") == .T.
         aSize := {0,0}
      ELSE
         aSize := {600,400}
      ENDIF
   ENDIF
   
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   IF aSize[1] == 0 .AND. aSize[2] == 0
      ::XbpDialog:ClientSize := {584,361}
   ENDIF
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "New form"

   ::editControls := {}

   ::Static1     := XbpStatic():new( ::drawingArea, , {28,324}, {32,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static1:caption := "Testc:"
   ::Static1:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Testc       := XbpSLE():new( ::drawingArea, , {56,324}, {88,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Testc:bufferLength := 10
   ::Testc:tabStop := .T.
   ::Testc:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::TEST)->TESTC ), (::TEST)->TESTC := x ) }
   AAdd( ::editControls, ::Testc )

   ::Static2     := XbpStatic():new( ::drawingArea, , {28,296}, {32,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static2:caption := "Testx:"
   ::Static2:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Testx       := XbpSLE():new( ::drawingArea, , {56,296}, {88,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Testx:bufferLength := 10
   ::Testx:tabStop := .T.
   ::Testx:dataLink := {|x| IIf( PCOUNT()==0, Trim( (::TEST)->TESTX ), (::TEST)->TESTX := x ) }
   AAdd( ::editControls, ::Testx )

   ::Static3     := XbpStatic():new( ::drawingArea, , {28,268}, {32,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static3:caption := "Testn:"
   ::Static3:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Testn       := XbpSLE():new( ::drawingArea, , {56,268}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Testn:bufferLength := 10
   ::Testn:tabStop := .T.
   ::Testn:dataLink := {|x| IIf( PCOUNT()==0, Transform( (::TEST)->TESTN, '@N' ), (::TEST)->TESTN := Val(x) ) }
   AAdd( ::editControls, ::Testn )

   ::Static4     := XbpStatic():new( ::drawingArea, , {28,240}, {32,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Static4:caption := "Testd:"
   ::Static4:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::Testd       := XbpSLE():new( ::drawingArea, , {56,240}, {40,24}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::Testd:bufferLength := 8
   ::Testd:tabStop := .T.
   ::Testd:dataLink := {|x| IIf( PCOUNT()==0, DtoC( (::TEST)->TESTD ), (::TEST)->TESTD := CtoD(x) ) }
   AAdd( ::editControls, ::Testd )

   ::Testl       := XbpCheckBox():new( ::drawingArea, , {28,212}, {60,24}, { { XBP_PP_BGCLR, -255 } } )
   ::Testl:caption := "Testl"
   ::Testl:tabStop := .T.
   ::Testl:dataLink := {|x| IIf( PCOUNT()==0, (::TEST)->TESTL, (::TEST)->TESTL := x ) }
   AAdd( ::editControls, ::Testl )

   ::PushButton1 := XbpPushButton():new( ::drawingArea, , {28,176}, {100,24}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::PushButton1:caption := "Pushbutton"
   ::PushButton1:tabStop := .T.
   ::PushButton1:activate := {|| NIL }

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::Static1:create()

   ::Testc:create()

   ::Static2:create()

   ::Testx:create()

   ::Static3:create()

   ::Testn:create()

   ::Static4:create()

   ::Testd:create()

   ::Testl:create()

   ::PushButton1:create()


RETURN self

#endif

//EOF
/////